--- old/usr/src/uts/common/fs/hsfs/hsfs_susp.c	sam. juil. 16 15:14:10 2016
+++ new/usr/src/uts/common/fs/hsfs/hsfs_susp.c	sam. juil. 16 15:14:10 2016
@@ -25,8 +25,6 @@
  * All rights reserved.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/t_lock.h>
 #include <sys/param.h>
@@ -68,12 +66,12 @@
  * 	Common Signatures for all SUSP
  */
 ext_signature_t  susp_signature_table[ ] = {
-	SUSP_SP,	share_protocol,		/* must be first in table */
-	SUSP_CE,	share_continue,		/* must be second in table */
-	SUSP_PD,	share_padding,
-	SUSP_ER,	share_ext_ref,
-	SUSP_ST,	share_stop,
-	(char *)NULL,	NULL
+	{ SUSP_SP,	share_protocol },	/* must be first in table */
+	{ SUSP_CE,	share_continue },	/* must be second in table */
+	{ SUSP_PD,	share_padding },
+	{ SUSP_ER,	share_ext_ref },
+	{ SUSP_ST,	share_stop },
+	{ NULL,		NULL }
 };
 
 /*
@@ -93,9 +91,9 @@
  * RRIP_BIT is set to 2 in rrip.h
  */
 extension_name_t   extension_name_table[]  =  {
-	"SUSP_1991A",	SUSP_VERSION,		susp_signature_table, /* #1 */
-	RRIP_ER_EXT_ID,	RRIP_EXT_VERSION, 	rrip_signature_table,
-	(char *)NULL,	0,			(ext_signature_t *)NULL
+	{ "SUSP_1991A",	SUSP_VERSION,	susp_signature_table }, /* #1 */
+	{ RRIP_ER_EXT_ID, RRIP_EXT_VERSION, rrip_signature_table },
+	{ NULL,		0,		(ext_signature_t *)NULL }
 };
 
 extension_name_t	*susp_ext_name = extension_name_table;
